Last Comment Bug 724145 - telemetry for search hijacking
: telemetry for search hijacking
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 13
Assigned To: :Gavin Sharp [email: gavin@gavinsharp.com]
:
Mentors:
Depends on: 744957
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-03 15:45 PST by :Gavin Sharp [email: gavin@gavinsharp.com]
Modified: 2013-02-06 08:28 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
patch (2.59 KB, patch)
2012-02-03 16:20 PST, :Gavin Sharp [email: gavin@gavinsharp.com]
jaws: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description :Gavin Sharp [email: gavin@gavinsharp.com] 2012-02-03 15:45:32 PST
See bug 718088. We'd like to gather some preliminary telemetry data to try and gauge how common it is for users to have user-set values for keyword.URL.
Comment 1 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-02-03 16:20:39 PST
Created attachment 594355 [details] [diff] [review]
patch

This is the simple first step - just indicate whether there's a user-set value or not.
Comment 2 Jared Wein [:jaws] (please needinfo? me) 2012-02-04 01:46:27 PST
Comment on attachment 594355 [details] [diff] [review]
patch

Review of attachment 594355 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good to me. Thanks for requesting review :)
Comment 3 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-02-07 09:58:10 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/841b4395aa66
Comment 4 Ed Morley [:emorley] 2012-02-07 12:02:18 PST
https://hg.mozilla.org/mozilla-central/rev/841b4395aa66
Comment 5 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-02-13 12:52:13 PST
Comment on attachment 594355 [details] [diff] [review]
patch

I'd like to take this on Aurora/Beta to get some more data before we move on to implementation in bug 718088. Risk is very low, it's just a simple pref check and telemetry addition. No string changes.
Comment 6 Alex Keybl [:akeybl] 2012-02-14 11:35:45 PST
Comment on attachment 594355 [details] [diff] [review]
patch

[Triage Comment]
Telemetry additions are high-reward and low-risk, so approving for Aurora 12 and Beta 11.
Comment 8 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-02-22 11:31:02 PST
Is there something QA can do to verify this bug?
Comment 9 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-02-23 12:33:31 PST
No

Note You need to log in before you can comment on or make changes to this bug.